Page MenuHomePhabricator

Grub: no input from serial console (menu doesn't respond to keystrokes)
Closed, ResolvedPublicBUG

Description

grub.cfg is missing a command for terminal_input, so when a serial console is enabled, the input is taken only from the graphic console. The result is that the grub menu is seen but doesn't respond to keystrokes.

The command added should be:

terminal_input serial console

As detailed in: https://www.gnu.org/software/grub/manual/grub/html_node/Serial-terminal.html

In this case, a terminal in which you press any key will be selected as a GRUB terminal.

The first terminal that receives a keystroke will be selected so this shouldn't break the graphical menu.

The top of grub.cfg thus looks like:

set default=1
set timeout=5
serial --unit=0 --speed=115200
terminal_output --append serial
terminal_input serial console

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-rc10
Why the issue appeared?
Will be filled on close
jjakob created this task.Dec 16 2018, 10:26 PM
syncer assigned this task to kroy.Dec 21 2018, 10:40 AM
syncer triaged this task as High priority.
syncer edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-EPA); removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Dec 22 2018, 10:03 AM
kroy added a subscriber: syncer.Jan 6 2019, 8:09 PM

@syncer Just to confirm, the above pull request integrates this and can be merged. I'm not sure if there's a status change I should make to this or just leave it be. Thanks

hagbard closed this task as Resolved.Jan 8 2019, 10:38 PM
hagbard added a subscriber: hagbard.